### Function

# GimpUi prop_entry_new

#### Declaration [src]

    GtkWidget*
    gimp_prop_entry_new (
      GObject* config,
      const gchar* property_name,
      gint max_len
    )

#### Description [src]

Creates a `GtkEntry` to set and display the value of the specified string property.

Available since: | 2.4

#### Parameters

`config` | `GObject`
| Object to which property is attached.
| The data is owned by the caller of the function.
`property_name` | `const gchar*`
| Name of string property.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`max_len` | `gint`
| Maximum allowed length of string.

#### Return value

Returns: | `GtkWidget`
| A new `GtkEntry` widget.
| The caller of the function takes ownership of the data, and is responsible for freeing it.